Uploaded image for project: 'Minecraft Launcher'
  1. Minecraft Launcher
  2. MCL-7178

Failed to Login: Bad login on old versions

    Details

    • Type: Bug
    • Status: Open
    • Resolution: Unresolved
    • Affects Version/s: 2.0.806 (Windows), 2.0.895 (Windows), 2.0.934 (Windows)
    • Fix Version/s: None
    • Labels:
      None
    • Confirmation Status:
      Unconfirmed

      Description

      If you try to create a local server for an old version of Minecraft, anyone that logs in with receive Failed to Login: Bad Login.

      This is a launcher bug because
      1) Old servers worked on the previous (unused) launcher
      2) The launcher gives the user access to old versions

      Easiest way to test is to run a 1.11 server and login to localhost and it will work fine
      Then run a 1.2.5 server and try to use localhost (while playing version 1.2.5) and you will get the bad login error.

      Since this is a bug about "Old Versions" I can see why it might be dismissed and ignored but keep in mind that these servers DID work on the previous launcher and every one of these versions is available to play in the current launcher, so servers for each version should work properly and multiplayer should not be more limited than singleplayer.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              1kingsam the1kingsam
            • Votes:
              4 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated: